/* GLOBAL --------------------------------------------------------------- */
footer{
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 9;
    transition: opacity 300ms;
}
footer .trigger{
    height: 3rem;
    padding: 1rem 2rem;
    background-color: #470000;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -100%);
    cursor: pointer;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    transition: height 300ms;
}
footer .trigger:hover{
    height: 5rem;
}
footer .trigger p{
    text-transform: uppercase;
    line-height: 1;
    letter-spacing: 0.05em;
}
footer .footer-content{
    width: 100%;
    height: fit-content;
    background-color: #470000;
    position: absolute;
    bottom: 0;
    left: 0;
}
footer .container{
    display: flex;
    flex-direction: column;
    gap: 6rem;
    padding-top: 16rem;
    padding-bottom: 2rem;
}
footer .contact-card{
    max-width: 50rem;
    width: calc(100% - 4rem);
    background-color: var(--white);
    display: flex;
    flex-direction: column;
    position: absolute;
    bottom: 100%;
    left: 50%;
    opacity: 0;
    transform: translate(-50%, 16rem);
}
footer .contact-card .subtitle{
    color: var(--black);
    padding: 1rem 3rem;
    font-family: "Lemon";
    font-weight: 500;
}
/* ---------------------------------------------------------------------- */

/* FORM ----------------------------------------------------------------- */
footer form{
    display: flex;
    flex-direction: row;
}
footer form .left-column{
    display: flex;
    flex-direction: column;
    width: calc(100% / 3);
    border-right: 1px solid var(--red-base);
}
footer form .right-column{
    display: flex;
    flex-direction: column;
    width: calc(100% / 3 * 2);
    position: relative;
}
footer form .input-wrapper{
    width: 100%;
    height: fit-content;
    position: relative;
    padding: 0 1rem;
}
footer form .input-wrapper.area{
    height: 100%;
}
footer form .siding-ribbon{
    background-color: var(--red-base);
    width: 0.25rem;
    height: 1.5rem;
    position: absolute;
    top: 1rem;
    left: 1.75rem;
    transition: width 300ms, left 300ms;
}
footer form .input-wrapper.active .siding-ribbon{
    width: 2rem;
    left: 0;
}
footer form label{
    position: absolute;
    pointer-events: none;
    top: 1rem;
    left: 3rem;
    color: var(--black);
    line-height: 1;
    transform-origin: 0%;
    transition: transform 300ms, top 300ms;
}
footer form .input-wrapper.active label, footer form .input-wrapper.filled label{
    transform: scale(0.6);
    top: 0;
}
footer form input, footer form textarea{
    border-top: 1px solid var(--red-base);
    width: 100%;
    height: fit-content;
    padding: 1rem 2rem;
}
footer form textarea{
    height: 100%;
    resize: none;
}
footer form .input-wrapper:first-child input{
    border: unset;
}
footer .footer-button{
    position: absolute;
    bottom: 0;
    right: 1rem;
    width: fit-content;
    height: fit-content;
    cursor: pointer;
    text-decoration: none;
    padding: 1rem 2rem;
    overflow: hidden;
    border: 1px solid var(--red-base);
}
footer .footer-button .footer-button-ribbon{
    background-color: var(--red-base);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}
footer .footer-button p{
    white-space: nowrap;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    position: relative;
    z-index: 2;
}
footer form .submit-btn{
    position: absolute;
    opacity: 0;
    pointer-events: none;
}
/* ---------------------------------------------------------------------- */

/* SOCIALS -------------------------------------------------------------- */
footer .contact-card .socials{
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-top: 1rem;
}
footer .contact-card .socials > *{
    width: 64%;
    border-top: 2px solid var(--red-base);
    text-align: center;
    position: relative;
    overflow: hidden;
    text-decoration: none;
}
footer .contact-card .socials .linkedin{
    width: 36%;
}
footer .contact-card .socials > *::after{
    content: "";
    background-color: var(--red-base);
    width: 1px;
    height: calc(100% - 2rem);
    position: absolute;
    top: 1rem;
    right: 0;
}
footer .contact-card .socials .linkedin::after{
    right: unset;
    left: 0;
}
footer .contact-card .socials > *::before{
    content: "";
    background-color: var(--red-base);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(-100%);
    z-index: -1;
    transition: transform 300ms;
}
footer .contact-card .socials .linkedin::before{
    transform: translateX(100%);
}
footer .contact-card .socials > *:hover::before{
    transform: translateX(0%);
}
footer .contact-card .socials .subtitle{
    padding: 1rem;
    transition: color 300ms;
}
footer .contact-card .socials > *:hover .subtitle{
    color: var(--white);
}
/* ---------------------------------------------------------------------- */

/* DOWNLOAD ------------------------------------------------------------- */
footer .download-section{
    width: fit-content;
    height: fit-content;
    margin: auto;
    position: relative;
    opacity: 0;
    transform: translateY(3rem);
    z-index: 1;
}
footer .download-section a{
    text-decoration: none;
}
footer .download-section .first-title, footer .download-section .second-title{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 1rem;
    row-gap: 0;
    flex-wrap: wrap;
    text-align: center;
    line-height: 1.3;
    margin: auto;
}
footer .download-section .first-title > div, footer .download-section .second-title > div{
    overflow: hidden;
}
footer .download-section .second-title{
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}
/* ---------------------------------------------------------------------- */

/* INFORMATION ---------------------------------------------------------- */
footer .info{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    width: 100%;
}
footer .copyright{
    opacity: 0;
    transform: translateX(-2rem);
}
footer .copyright br{
    display: none;
}
footer .sitemap{
    display: flex;
    flex-direction: row;
    gap: 1rem;
}
footer .sitemap .map-item{
    text-decoration: none;
    opacity: 0;
    transform: translateX(2rem);
    cursor: default;
}
footer .sitemap .footer-link{
    position: relative;
    cursor: pointer;
}
footer .sitemap .footer-link::after{
    content: "";
    background-color: var(--red-base);
    width: calc(100% + 2rem);
    height: calc(100% + 1rem);
    position: absolute;
    top: -0.5rem;
    left: -1rem;
    z-index: -1;
    transform-origin: bottom;
    transform: scaleY(0%);
    transition: transform 300ms;
}
footer .sitemap .footer-link:hover::after{
    transform: scaleY(100%);
}
/* ---------------------------------------------------------------------- */

/* CLOSE ---------------------------------------------------------------- */
footer .close{
    padding: 1rem 2rem;
    height: 0;
    background-color: var(--red-base);
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    opacity: 0;
    cursor: pointer;
}
footer .close p{
    text-transform: uppercase;
    line-height: 1;
    letter-spacing: 0.05em;
    bottom: 0;
}
/* ---------------------------------------------------------------------- */

/* MEDIA QUERIES -------------------------------------------------------- */
@media screen and (max-width: 900px) {
    footer .container{
        gap: 2rem;
        padding-top: 13rem;
    }

    footer .copyright br{
        display: inline;
    }
    footer .sitemap{
        flex-direction: column;
        align-items: flex-end;
    }
    footer .sitemap .map-item{
        width: fit-content;
    }
    footer .sitemap .map-item:not(.footer-link){
        display: none;
    }
}

@media screen and (max-width: 768px) {
    footer{
        position: relative;
        bottom: unset;
        left: unset;
        padding-top: 8rem;
    }
    footer .trigger{
        display: none;
    }
    footer .footer-content{
        position: relative;
        bottom: unset;
        left: unset;
    }
    footer .container{
        gap: 3rem;
        padding-top: 28rem;
    }
    footer .contact-card{
        opacity: 0;
        transform: translate(-50%, calc(100% - 5rem));
    }

    footer form{
        flex-direction: column;
    }
    footer form .left-column{
        width: 100%;
        border-right: unset;
    }
    footer form .right-column{
        width: 100%;
    }
    footer form .input-wrapper:first-child input{
        border-top: 1px solid var(--red-base);
    }
    footer form .left-column .input-wrapper:first-child input{
        border: unset;
    }
    footer form textarea{
        height: 6rem;
    }
    footer .footer-button{
        position: relative;
        bottom: unset;
        right: unset;
        margin-left: auto;
        margin-right: 1rem;
    }

    footer .download-section{
        opacity: 1;
        transform: none;
    }
    footer .download-section a{
        text-decoration: none;
    }
    footer .download-section .first-title{
        margin: auto;
        line-height: 1.3;
    }
    footer .download-section .second-title{
        opacity: 0;
    }

    footer .info {
        flex-direction: column-reverse;
        justify-content: flex-start;
        align-items: center;
        gap: 2rem;
    }
    footer .copyright{
        transform: none;
        opacity: 1;
        position: relative;
        padding-top: 2rem;
    }
    footer .copyright::before{
        content: "";
        width: calc(100vw - 4rem);
        height: 1px;
        background-color: var(--white);
        position: absolute;
        top: 0px;
        left: 50%;
        transform: translateX(-50%);
        opacity: 0.3;
    }
    footer .copyright br{
        display: none;
    }
    footer .sitemap{
        flex-direction: row;
        align-items: center;
    }
    footer .sitemap .map-item:not(.footer-link){
        display: inline;
    }

    footer .close{
        display: none;
    }
}

@media screen and (max-width: 600px) {
    footer .container{
        padding-top: 31rem;
    }

    footer .contact-card {
        width: calc(100% - 2rem);
    }
    footer .contact-card .socials{
        flex-direction: column;
        border-top: 2px solid var(--red-base);
    }
    footer .contact-card .socials > *{
        width: 100%;
        border: unset;
    }
    footer .contact-card .socials .linkedin{
        width: 100%;
    }
    footer .contact-card .socials > *::after{
        width: calc(100% - 4rem);
        height: 1px;
        top: unset;
        bottom: 0;
        left: 2rem;
        right: unset;
    }
    footer .contact-card .socials .linkedin::after{
        top: 0;
        bottom: unset;
        left: 2rem;
        right: unset;
    }
    footer .contact-card .socials > *::before{
        transform: translateY(-100%);
    }
    footer .contact-card .socials .linkedin::before{
        transform: translateY(100%);
    }
    footer .contact-card .socials > *:hover::before{
        transform: translateY(0%);
    }

    footer .download-section .first-title{
        text-align: center;
    }

    footer .copyright::before{
        width: calc(100vw - 2rem);
    }
}
 /* ---------------------------------------------------------------------- */